class ApplyProjectMaster < ActiveRecord::Base
  # attr_accessible :title, :body
  # status 1是申请者，2是版主
  belongs_to :apply, :polymorphic => true
  belongs_to :user
  
  validates_presence_of :user
  validates_uniqueness_of :user_id, :scope => [:apply_type, :apply_id]
  validate :validate_user
  
  protected

  def validate_user
    errors.add :user_id, :invalid unless user.nil? || user.active?
  end
end
